Bug 13290 - A disconnecting winbind client can cause a problem in the winbind parent child communication
A disconnecting winbind client can cause a problem in the winbind parent chil...
Status: ASSIGNED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: Winbind
4.8.0rc2
All All
: P5 normal
: ---
Assigned To: Stefan Metzmacher
Samba QA Contact
:
Depends on:
Blocks: 13292
  Show dependency treegraph
 
Reported: 2018-02-21 13:54 UTC by Stefan Metzmacher
Modified: 2018-04-17 06:29 UTC (History)
2 users (show)

See Also:


Attachments
Patch for 4.8 cherry-picked from master (8.84 KB, patch)
2018-02-27 10:40 UTC, Ralph Böhme
metze: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Stefan Metzmacher 2018-02-21 13:54:21 UTC
When disconnect a winbind client with a pending request, all memory related
to that request is destroyed, which makes it impossible to keep the
winbind parent child communication working, so we have to abandon the child.

Instead we should keep some state and wait for the child to finish the request
and continue from there.

We have seen customer setups with many abandoned winbindd child processes,
all consuming memory and cpu. We already have a working timeout checking
in the parent child communication, is a child really becomes unusable.
Comment 1 Ralph Böhme 2018-02-27 10:40:20 UTC
Created attachment 13997 [details]
Patch for 4.8 cherry-picked from master
Comment 2 Stefan Metzmacher 2018-02-27 15:43:26 UTC
Pushed to autobuild-v4-8-test. But needs backport to older versions.
Comment 3 Karolin Seeger 2018-02-28 11:53:36 UTC
(In reply to Stefan Metzmacher from comment #2)
Pushed to v4-8-test.
Comment 4 Karolin Seeger 2018-03-22 20:50:30 UTC
Re-assigning to Metze for backports.
Comment 5 Stefan Metzmacher 2018-04-17 06:29:05 UTC
Backport on bug #13292.